# Gimp.PlugIn.persistent_process

    @accepts(Gimp.PlugIn, int)
    @returns(none)
    def persistent_process(self, timeout):
        # Python wrapper for gimp_plug_in_persistent_process()

Processes one message sent by GIMP and returns.

Call this function in an endless loop after calling [method@Gimp.Procedure.persistent_ready] to process requests for running temporary procedures.

See [method@PlugIn.persistent_enable] for an asynchronous way of doing the same if running an endless loop is not an option.

See also: [method@PlugIn.add_temp_procedure].

Since 3.0

self

  A plug-in.

timeout

  The timeout (in ms) to use for the select() call.